<script type="text/javascript" src="/js/cubix-ui-v1.0.source.js"></script>
<script type="text/javascript" src="/js/cubix-tip-v1.0.source.js"></script>
<script type="text/javascript" src="/js/cubix-button-v1.0.source.js"></script>
<script type="text/javascript" src="/js/cubix-shadow-v1.0.source.js"></script>
<script type="text/javascript" src="/js/cubix-popup-v3.0.source.js"></script>
<script type="text/javascript" src="/js/cubix-grid-v2.0.source.js"></script>
<script type="text/javascript" src="/js/datepicker.js"></script>

<script type="text/javascript" src="/js/mootabs1.2.js"></script>

<script type="text/javascript" src="/js/fancyupload/Swiff.Uploader.js"></script>
<script type="text/javascript" src="/js/fancyupload/Fx.ProgressBar.js"></script>
<script type="text/javascript" src="/js/fancyupload/FancyUpload2.js"></script>
<script type="text/javascript" src="/js/escort-rates.js"></script>
<script type="text/javascript" src="/js/cubix-selectbox.js"></script>

<script type="text/javascript" src="/js/cubix-uploader-v1.0.source.js"></script>
<script type="text/javascript" src="/js/escort-photos.js?v=2"></script>
<script type="text/javascript" src="/js/tiny_mce/tiny_mce.js"></script>
<script type="text/javascript" src="/js/moo-uploader.js"></script>
<? $this->headLink()->prependStylesheet($this->baseUrl() . '/css/moo-uploader/style.css') ?>


<script type="text/javascript">
Cubix.Grid.DataTypes.EscortLink.baseUrl = '<?= Cubix_Application::getById()->url . '/escort' ?>';
</script>

<script type="text/javascript">
Cubix.ready = function () {
	new Cubix.Shadow($('content'));
	var getFilterParams = function () {
		var uri = new URI('?' + $$('form')[0].toQueryString());
		return uri.get('data');
	};
	var initDateFilter = function(filter_form)
	{
		var defined_dates = {'today': 'Today', 'yesterday': 'Yesterday', 'last_7_days' : 'Last 7 days', 'this_month': 'This month', 'last_month': 'Last month'};
		var defined_dates2 = {'today': 'Today', 'tomorrow': 'Tomorrow', 'this_week': 'This week', 'next_week': 'Next week'};

		date_from_picker = $(filter_form).getElement('.f-date-from');
		var date_from =	new Picker.Date(date_from_picker, { pickerClass: 'datepicker',
			positionOffset: { x: -10, y: 0 }, allowEmpty: true, format: 'd M Y' });
		date_to_picker = $(filter_form).getElement('.f-date-to');
		var date_to = new Picker.Date(date_to_picker, { pickerClass: 'datepicker',
				positionOffset: { x: -10, y: 0 }, allowEmpty: true, format: 'd M Y' });


		$(filter_form).getElement('.f-dates-defined').addEvent('change', function() {

					switch(this.get('value'))
					{
						case '':
							date_from.onFocus(date_from.item, date_from.clone, true);
							date_from.select(date_from.dateToObject(new Date()), true);

							date_to.onFocus(date_to.item, date_to.clone, true);
							date_to.select(date_to.dateToObject(new Date()), true);
						break;
						case 'today':
							date_from.onFocus(date_from.item, date_from.clone, true);
							date_from.select(date_from.dateToObject(new Date()));

							date_to.onFocus(date_to.item, date_to.clone, true);
							date_to.select(date_to.dateToObject(new Date()));
						break;
						case 'yesterday':
							date_from.onFocus(date_from.item, date_from.clone, true);
							date_from.select(date_from.dateToObject(new Date().decrement('day', 1)));

							date_to.onFocus(date_to.item, date_to.clone, true);
							date_to.select(date_to.dateToObject(new Date()));
						break;
						case 'last_7_days':
							date_from.onFocus(date_from.item, date_from.clone, true);
							date_from.select(date_from.dateToObject(new Date().decrement('day', 7)));

							date_to.onFocus(date_to.item, date_to.clone, true);
							date_to.select(date_to.dateToObject(new Date()));
						break;
						case 'this_month':
							var last_day = new Date().get('lastdayofmonth');

							date_from.onFocus(date_from.item, date_from.clone, true);
							date_from.select(date_from.dateToObject(new Date().set('date', 1)));

							date_to.onFocus(date_to.item, date_to.clone, true);
							date_to.select(date_to.dateToObject(new Date().set('date', last_day)));
						break;
						case 'last_month':
							var last_month = new Date().decrement('month', 1);

							var last_day = last_month.get('lastdayofmonth');

							date_from.onFocus(date_from.item, date_from.clone, true);
							date_from.select(date_from.dateToObject(last_month.set('date', 1)));

							date_to.onFocus(date_to.item, date_to.clone, true);
							date_to.select(date_to.dateToObject(last_month.set('date', last_day)));
						break;
					}
				});



	};
	initDateFilter('a-search-form');
	
	readPopupReply = function () {

		var phone_from = this.content.getElement('#phone_from').get('html');
		var sms_id = this.content.getElement('#sms_id').get('value');
		
		popup.setTitle('Compose Text Message');
		//popup.escort_id = data.escort_id;		
		popup.load('<?= $this->baseUrl() ?>/sms/index/compose?sms_id='+ sms_id + '&phone_from=' + phone_from, function () {
			this.open();
		});

		read_popup.close();
	};
	
	readPopupClose = function () {
		read_popup.close();
		grid.load();
	};


	var read_popup = new Cubix.Popup.Ajax({
		abar: [
			{ caption: 'Reply', icon: 'msg_send', action: readPopupReply },
			{ caption: 'Close', icon: 'cancel', action: readPopupClose }
		],
		width: 500
	});

	
	read_popup.addEvent('loaded', function () {
			
	});


	readThreadPopupClose = function () {
		read_thread_popup.close();
		grid.load();
	};

	var read_thread_popup = new Cubix.Popup.Ajax({
		abar: [			
			//{ caption: 'Close', icon: 'cancel', action: readThreadPopupClose }
		],
		width: 510
	});
	
	read_thread_popup.addEvent('loaded', function () {
		var self = this;

		self.popup.getElements('.cx-popup-content').setStyles({'padding':'0px', border:'none'});
		self.popup.getElements('.cx-popup-action-bar').setStyles({'display':'none'});

		if ($('sms_template'))
			$('sms_template').addEvent('change', function(e) {
				e.stop();

				var id = $('sms_template').get('value');
				new Request({
					url: '<?= $this->baseUrl() ?>/sms/index/template?id=' + id,
					onSuccess: function (resp) {
						$('text').set('value', resp);
					}.bind(this)
				}).send();
			});

		 var scroll = new Fx.Scroll(this.content.getElements('.messages')[0]); 
		 scroll.toBottom();

		 this.content.getElements('.send-msg-btn').addEvent('click', function(e){
		 	e.stop();

		 	new Request({
				url: '<?= $this->baseUrl() ?>/sms/index/send',
				method: 'post',
				data: {
					text : self.content.getElements('.text-msg')[0].get('value'),
					phone_number : self.content.getElements('input[name=phone_number]')[0].get('value'),
					phone_number_original : self.content.getElements('input[name=phone_number]')[0].get('value'),
					sms_inbox_id : self.content.getElements('input[name=id]')[0].get('value')
				},
				onSuccess: function (resp) {
					
					new Request({
						url: '<?= $this->baseUrl() ?>/sms/index/read-thread',
						method: 'post',
						data: {is_ajax : 1, phone_number : self.content.getElements('input[name=phone_number]')[0].get('value')},
						onSuccess: function (resp) {
							self.content.getElements('.messages')[0].set('html', resp);
							 var scroll = new Fx.Scroll(self.content.getElements('.messages')[0]); 
		 					 scroll.toBottom();

		 					 self.content.getElements('.text-msg')[0].set('value', '');
						}.bind(this)
					}).send();

				}.bind(this)
			}).send();
		 });
		 
	});

	/*var popup_sms = new Cubix.Popup.Ajax({
		abar: [
			{ caption: 'Send', icon: 'msg_send', action: Cubix.Popup.Actions.SaveValid },
			{ caption: 'Close', icon: 'cancel', action: Cubix.Popup.Actions.Close }
		],
		width: 390,
		zIndex: function () { return Cubix.Popup.zIndex + 25 }
	});
	window.SmsPopup = popup_sms;

	window.SmsPopup.addEvent('loaded', function () {


		if ($('sms_template'))
			$('sms_template').addEvent('change', function(e) {
				e.stop();

				var id = $('sms_template').get('value');
				new Request({
					url: '<?= $this->baseUrl() ?>/sms/index/template?id=' + id,
					onSuccess: function (resp) {
						$('text').set('value', resp);
					}.bind(this)
				}).send();
			});
	});*/

	var qEmail = new Cubix.Popup.Ajax({
		abar: [
			{ caption: 'Send', icon: 'msg_send', action: Cubix.Popup.Actions.SaveValid },
			{ caption: 'Close', icon: 'cancel', action: Cubix.Popup.Actions.Close }
		],
		width: 390,
		zIndex: function () { return Cubix.Popup.zIndex + 25 }
	});
	window.qEmail = qEmail;

	window.qEmail.addEvent('loaded', function () {
		if ($('email_template'))
			$('email_template').addEvent('change', function(e) {
				e.stop();

				var id = $('email_template').get('value');
				new Request({
					url: '<?= $this->baseUrl() ?>/sms/emailtemplates/get?id=' + id,
					onSuccess: function (resp) {
						resp = JSON.decode(resp);
						$('from').set('value', resp.from);
						$('subject').set('value', resp.subject);
						$('message').set('html', resp.body);
						$('email_signature').set('html', resp.signature);
					}.bind(this)
				}).send();
			});
	});
	
	var popup = new Cubix.Popup.Ajax({
		abar: [
			{ caption: 'Send', icon: 'msg_send', action: Cubix.Popup.Actions.SaveValid },
			{ caption: 'Close', icon: 'cancel', action: Cubix.Popup.Actions.Close }
		],
		width: 390
	});
	window.SmsPopup = popup;


	var photos_popup = new Cubix.Popup.Ajax({
		width: 896,
		zIndex: function () { return Cubix.Popup.zIndex + 14 }
	});

	window.PhotosPopup = photos_popup;

	photos_popup.addEvent('loaded', function () { new Escort.Photos(photos_popup); });
	// --> escort popup <--
	var ePpopup = new Cubix.Popup.Ajax({
		abar: [
			{ caption: 'Place New Order', icon: 'add', action: function () {
				openOrderPopup();
			} },
			{ caption: 'Save', icon: 'accept', action: function () {
				tinyMCE.triggerSave();
				(Cubix.Popup.Actions.SaveValid.bind(ePpopup))(function (result) {
					grid.load();
					if ( 'create' == ePpopup.__mode ) {
						if ( confirm('Do you want to edit photos of this escort?') ) {
							window.PhotosPopup.setTitle('Photos of Escort');
							window.PhotosPopup.escort_id = result.escort_id;
							window.PhotosPopup.load('<?= $this->baseUrl() ?>/escorts-v2/photos?id=' + result.escort_id, function () {
								this.open();
							});
						}
					}
				});
			} },
			{ caption: 'Close', icon: 'cancel', action: Cubix.Popup.Actions.Close/*function() {
				popupClose(popup);
			}*/ }
		],
		width: 950,
		zIndex: function () { return Cubix.Popup.zIndex + 4 }
	});
	var addOrderButton = ePpopup.popup.getElement('.cx-popup-action-bar').getLast('.cx-button').setStyle('margin-right', '30px');

	window.EscortPopup = ePpopup;
	
	ePpopup.addEvent('close', function (e) {
		window.EscortsKeyboard.deactivate();
	});

	var escorts_popup = new Cubix.Popup.Ajax({
		abar: [
			{ caption: 'Close', icon: 'cancel', action: Cubix.Popup.Actions.Close }
		],
		width: 750
	});

	
	escorts_popup.addEvent('loaded', function () {

		var getEscortsFilterParams = function () {
			var uri = new URI('?' + escorts_popup.content.getElement('form').toQueryString());
			return uri.get('data');
		};

		new Cubix.Button($('btn-refresh'), { onClick: function () {
			escorts_grid.load();
		}, icon: 'refresh', caption: 'Search', classes: 'ml5 mb5' });
		
		var escorts_grid = Cubix.Grid.Instance = new Cubix.Grid('cx-escort-grid', {
			identifier: { field: 'id' },
			header: [
				/*{ title: 'Id', field: 'id', type: 'integer', sortable: true, width: '140px' },*/
				{ title: 'Showname', field: 'showname', type: 'AddPhone', sortable: true, width: '140px' },
				{ title: 'Status', field: 'status', type: 'string', sortable: true, width: '140px' },
				{ title: 'Phone', field: 'contact_phone_parsed', type: 'string', sortable: true, width: '140px' },
				{ title: 'Email', field: 'email', type: 'Email', sortable: true, width: '140px' }
			],
			sort: {
				field: 'showname',
				dir: 'asc'
			},
			actions: [ ],
			data: new Cubix.Grid.Loader({ url: '/sms/index/escort-list-data', params: getEscortsFilterParams })
		});

		escorts_grid.addEvent('loaded', function () {

			$$('table a.add-escort-phone').addEvent('click', function(e) {
				e.stop();				
				var phone = this.get('rel');
				popup.content.getElement('#phone_number').set('value', phone);
				escorts_popup.close();
			});
			
			window.fireEvent('resize');
		});
	});
	
	popup.addEvent('loaded', function () {
		
		$('phone_add').addEvent('click', function(e) {
			e.stop();

			escorts_popup.setTitle('Escorts');
			escorts_popup.load('<?= $this->baseUrl() ?>/sms/index/escort-list', function () {
				this.open();
			});			
		});
		
		if ($('sms_template'))
			$('sms_template').addEvent('change', function(e) {
				e.stop();

				var id = $('sms_template').get('value');
				new Request({
					url: '<?= $this->baseUrl() ?>/sms/index/template?id=' + id,
					onSuccess: function (resp) {
						$('text').set('value', resp);
					}.bind(this)
				}).send();
			});
	});

		
	var grid = Cubix.Grid.Instance = new Cubix.Grid('cx-grid', {
		identifier: { field: 'id' },
		header: [
			{ title: '<input type="checkbox" id="select-all" />', field: '', type: 'Checkbox', width: '15px' },
			{ title: 'Date', field: 'date', type: 'DateTime', sortable: true, width: '140px' },
			{ title: 'Text', field: 'text', type: 'SmsTextInbox', sortable: true },
			{ title: 'From (phone number)', field: 'phone_from', type: 'string', sortable: true },
			{ title: 'From (escort)', field: 'showname', type: 'EscortPopupInbox', sortable: true },
			{ title: 'Sales Person', field: 'sales_person', type: 'string', sortable: true },
			{ title: 'Status', field: 'status', type: 'string', sortable: true, width: '60px' },
			{ title: 'For Review', field: 'for_review', type: 'ToggleActiveSmsReview', sortable: true, width: '90px' }
		],
		sort: {
			field: 'date',
			dir: 'desc'
		},
        preload:false,
		actions: [ { type: 'remove', func: function (data) {
			if ( confirm('Are you sure you want to delete this SMS ?') ) {
				this.overlay.disable();
				new Request({
					url: '/sms/inbox/delete?id=' + data.id,
					onSuccess: function (resp) {
						grid.load();
					}.bind(this)
				}).send();
			}
		} }, 
		{ type: 'save', func: function (data) {
			if ( confirm('Are you sure you want to save this SMS ?') ) {
				this.overlay.disable();
				new Request({
					url: '/sms/inbox/save?id=' + data.id,
					onSuccess: function (resp) {
						grid.load();
					}.bind(this)
				}).send();
			}
		} }
		],
		data: new Cubix.Grid.Loader({ url: '/sms/inbox/data', params: getFilterParams })
	});
	
	
	
	grid.addEvent('loaded', function () {
	
		$$('.cx-grid-type-ToggleActiveSmsReview a').addEvent('click', function (e) {
			e.stop();
			new Request({
				url: this.get('href'),
				method: 'get',
				onSuccess: function(){
					grid.load();
				}
			}).send();
		});

		$$('table .sms-text').addEvent('click', function(e) {
			e.stop();
			/*read_popup.setTitle('Text Message');
			//popup.escort_id = data.escort_id;		
			read_popup.load('<?= $this->baseUrl() ?>/sms/index/read?id=' + this.get('id') + '&type=inbox', function () {
				this.open();
			});*/

			read_thread_popup.setTitle('Text Message');
			read_thread_popup.load('<?= $this->baseUrl() ?>/sms/index/read-thread?phone_number=' + this.get('id') + '&id=' + this.get('idd'), function () {
				this.open();
			});
		});

		$('select-all').set('checked', '');
		
		$('select-all').addEvent('click', function() {
			if ( this.get('checked') )
			{
				$$('table input[type=checkbox]').each(function(it){
					if ( it.get('id') != 'select-all' )
						it.set('checked', 'checked');
				});
			}
			else
			{
				$$('table input[type=checkbox]').each(function(it){
					if ( it.get('id') != 'select-all' )
						it.set('checked', '');
				});
			}
		});

		window.EscortsKeyboard = new Keyboard({
		defaultEventType: 'keydown',
		events: {
			'pageup': function (e) {
				e.stop();
				var content = window.EscortPopup.content,
					current = content.getElement('.mootabs_title li.active'),
					tabs = content.tabs;

				var target = current.getPrevious();
				if ( ! target ) target = content.getElement('.mootabs_title').getLast('li');

				tabs.activate(target);
			},
			'pagedown': function (e) {
				e.stop();
				var content = window.EscortPopup.content,
					current = content.getElement('.mootabs_title li.active'),
					tabs = content.tabs;

				var target = current.getNext();
				if ( ! target ) target = content.getElement('.mootabs_title').getFirst('li');

				tabs.activate(target);
			}
		}
	}).deactivate();

	var popupClose = function(popup) {
		if ( popup.__mode == 'edit' ) {
			var old_data = window.popup_data;
			var new_data = popup.content.getElement('.form-common').toQueryString();

				popup.close();

		} else {
			popup.close();
		}
	};
	
	window.popupClose = popupClose;

		/* Escort popups data */
		$$('span.escort-popup a').addEvent('click', function (e) {
			e.stop();

			var data = this.getParent('tr').rowData;
			ePpopup.__mode = 'edit';

			window.EscortPopup.data = data;
			addOrderButton.setStyle('display', 'block')
			window.EscortPopup.setTitle('Edit Escort ' + data.showname);
			window.EscortPopup.load('<?= $this->baseUrl() ?>/escorts-v2/edit?id=' + data.escort_id, function () {
				this.open();
			});
		});
			
	});
	//SEARCH
	new Cubix.Button($('btn-refresh'), { onClick: function () {
		grid.setPage(1);
		grid.load();
	}, icon: 'refresh', caption: 'Search', classes: '' });
	// Compose
	new Cubix.Button($('btn-compose'), { onClick: function () {
		popup.setTitle('Compose Text Message');
		//popup.escort_id = data.escort_id;		
		popup.load('<?= $this->baseUrl() ?>/sms/index/compose', function () {
			this.open();
		});
	}, icon: 'msg_add', caption: 'Compose', classes: 'mr20' });
	// End Compose
		
	new Cubix.Button($('btn-mark-read'), { onClick: function () {
		var ids = getCheckedIds();

		if ( ids )
		{
			if ( confirm('Are you sure you want to mark selected message(s) as read?') ) {
				
				new Request({
					url: '/sms/inbox/toggle-is-read?type=inbox&set_as=<?= Model_SMS_SMS::SMS_IS_READ ?>',
					data: ids,
					onSuccess: function (resp) {
						grid.load();
					}.bind(this)
				}).send();
			}
		}
		else
		{
			alert('Please select some message(s) to perform action with !');
		}
	}, icon: 'read', caption: 'Mark as Read', classes: 'mr10' });

	new Cubix.Button($('btn-mark-unread'), { onClick: function () {
		var ids = getCheckedIds();

		if ( ids )
		{		
			if ( confirm('Are you sure you want to mark selected message(s) as unread?') ) {
				
				new Request({
					url: '/sms/inbox/toggle-is-read?type=inbox&set_as=<?= Model_SMS_SMS::SMS_IS_NOT_READ ?>',
					data: ids,
					onSuccess: function (resp) {
						grid.load();
					}.bind(this)
				}).send();
			}
		}
		else
		{
			alert('Please select some message(s) to perform action with !');
		}
	}, icon: 'unread', caption: 'Mark as Unread', classes: 'mr10' });

	new Cubix.Button($('btn-delete'), { onClick: function () {
		var ids = getCheckedIds();

		if ( ids )
		{
			if ( confirm('Are you sure you want to delete selected message(s)?') ) {
				
				new Request({
					url: '/sms/inbox/delete',
					data: ids,
					onSuccess: function (resp) {
						grid.load();
					}.bind(this)
				}).send();
			}
		}
		else
		{
			alert('Please select some message(s) to perform action with !');
		}
	}, icon: 'msg_remove', caption: 'Delete', classes: 'mr10' });

	new Cubix.Button($('btn-save'), { onClick: function () {
		var ids = getCheckedIds();

		if ( ids )
		{
			if ( confirm('Are you sure you want to save selected message(s)?') ) {
				
				new Request({
					url: '/sms/inbox/save',
					data: ids,
					onSuccess: function (resp) {
						grid.load();
					}.bind(this)
				}).send();
			}
		}
		else
		{
			alert('Please select some message(s) to perform action with !');
		}
	}, icon: 'save', caption: 'Save', classes: '' });

	function getCheckedIds()
	{
		var ids = '';
		$$('table input[type=checkbox]').each(function(it){
			if ( it.get('id') != 'select-all' && it.get('checked') )
				ids += 'id[]=' + it.value + '&';
		});

		return ids;
	}
};
</script>
<?php 
	$current_user = Zend_Auth::getInstance()->getIdentity();
 ?>
<div class="form-common gray c-filter-form">
	<form id="a-search-form">
		<div class="fleft">
			<!-- DATE FILTRATION -->
			<fieldset class="inner mb10">
				<legend>Date</legend>

				<div class="inner">
					<label>
						<span>Date:</span>
					</label>
					<select id="f-dates-defined" name="dates_defined" class="w14 f-dates-defined" >
						<option value=""> - any - </option>
						<option value="today">Today</option>
						<option value="yesterday">Yesterday</option>
						<option value="last_7_days">Last 7 Days</option>
						<option value="this_month">This Month</option>
						<option value="last_month">Last Month</option>
					</select>
				</div>
				<div class="inner">
					<label>
						<span>From</span>
					</label>
					<input id="f-date-from" type="text" class="txt w8 f-date-from" name="date_from" value="" />
				</div>

				<div class="inner" style="padding-top: 25px">
					<span> - </span>
				</div>

				<div class="inner">
					<label>
						<span>To</span>
					</label>
					<input id="f-date-to" type="text" class="txt w8 f-date-to" name="date_to" value=""  />
				</div>
				<div class="clear"></div>
			</fieldset>
			<fieldset class="fleft inner mb10" style="padding-right: 2px">
				<legend>Personal Data</legend>

				<div class="inner">
					<label for="f-showname">Showname</label>
					<input id="f-showname" type="text" class="txt w128" name="showname" value=""  />
				</div>
				<div class="inner">
					<label for="f-escort-id">Escort ID</label>
					<input id="f-escort-id" type="text" class="txt w6" name="escort_id" value=""  />
				</div>
				<div class="inner">
					<label for="f-phone_from">From (phone number)</label>
					<input id="f-phone_from" type="text" class="txt w128" name="phone_from" value=""  />
				</div>
			</fieldset>
			<div class="clear"></div>
			<fieldset class="fleft inner mb10" style="padding-right: 2px;">
				<legend>Sales Person</legend>

				<div class="inner">
					<label for="f-sales-person">Sales Person</label>
					<select name="sales_user_id" id="f-sales-person" class="w10">
						<?php if($current_user->type != 'sales manager'): ?>
							<option value=""> - any - </option>
							<? $model = new Model_Moderators(); 

							foreach ( $model->getByApplicationId($this->request()->application_id) as $user ): ?>
								<option  value="<?= $user->id ?>" <?= ($this->filter_params['sales_user_id'] == $user->id) ? 'selected="selected"' : '' ?> ><?= $user->username ?>
								</option>
							<? endforeach; ?>
						<?php else: ?>
							<option value="<?= $current_user->id ?>"><?= $current_user->first_name  ?> </option>
						<?php endif; ?>
					</select>
				</div>
			</fieldset>
			<fieldset class="fleft inner mb10" >
				<legend>Review</legend>

				<div class="inner">
					<label for="f-for-review">For Review</label>
					<select name="for_review" id="f-for-review" class="w10">
						<option value=""> - any - </option>
						<option value="0">Not for review</option>
						<option value="1">For review</option>
					</select>
				</div>
			</fieldset>
			<fieldset class="fleft inner mb10" >
				<legend>Reply</legend>

				<div class="inner">
					<label for="f-reply">Reply</label>
					<select name="reply" id="f-reply" class="w10">
						<option value=""> - any - </option>
						<option value="0">Not Replied</option>
						<option value="1">Replied</option>
					</select>
				</div>
			</fieldset>
		</div>
		<div class="clear"></div>
	</form>

	<div class="actions-box">
		<div class="c" style="width: 190px;">
			<a id="btn-refresh"></a>
			<a id="btn-reset"></a>
			<div class="clear"></div>
		</div>
	</div>
</div>

<div class="action-bar">
	<a href="" id='btn-compose'></a>
	<a href="" id='btn-mark-read'></a>
	<a href="" id='btn-mark-unread'></a>
	<a href="" id='btn-delete'></a>
	<a href="" id='btn-save'></a>
	
	<div class="clear"></div>
</div>

<div id="ajax-dest">
	<div id="cx-grid">
	</div>
</div>
